[Résolu] BLOCS: La mise à jour WP a entraîné des problèmes de blocs (Créer un compte)

  • WordPress :5.7
  • Statut : résolu
5 sujets de 1 à 5 (sur un total de 5)
  • Auteur
    Messages
  • #2383532
    Fundance
    Participant
    Initié WordPress
    10 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.3
    • Thème utilisé : Jarida
    • Extensions en place :
    • Nom de l’hébergeur :
    • Adresse du site :

    Problème(s) rencontré(s) :
    Bonjour à tous,

    La dernière mise à jour de WordPress a entraîné un bug pour les blocs.
    Cela ne vient pas du thème mais bien du code WordPress (en tout cas c’est ce que m’a dit le spécialiste pro du thème).
    D’ailleurs j’ai vu que d’autres sites avaient le même problème.

    C’est dans “Apparence” –> Widgets. (voir photo jointe) avec ce message d’erreur:
    “le bloc a été affecté par des erreurs et peut ne pas fonctionner correctement. Vérifiez les outils de développement pour obtenir plus de détails”.

    Le bug étant peut-être déjà apparu sur des changements d’autres versions, je me demandais si quelqu’un avait une solution provisoire de réparation ou s’il fallait attendre une mise à jour via WordPress de ce bug.
    Ou si quelqu’un a une autre piste pour ce bug ??

    Merci

    • Ce sujet a été modifié le il y a 3 semaines et 5 jours par Rock4Temps.
    • Ce sujet a été modifié le il y a 3 semaines et 4 jours par Flobogo. Raison: déplacé en rubrique "Gutenberg" (nouvel éditeur avec "blocs")
    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2383537
    Rock4Temps
    Participant
    Chevalier WordPress
    381 contributions

    Bonjour,

    Vérifier si c’est aussi le cas à partir du menu apparence/personnaliser

    sinon c’est certainement votre thème qui pose problème il faut alors installer une extension pour pouvoir utiliser les widgets et non les blocs pour la zone concernée.

    #2383539
    ferman
    Participant
    Maître WordPress
    4404 contributions

    Bonjour,

    Regardez ICI pour le même problème et l’installation de l’extension “classic widgets”. Et si vous préférez une ligne de code, c’est ICI. Le bug sera certainement réparé bientôt.

    #2383560
    Fundance
    Participant
    Initié WordPress
    10 contributions

    Bonjour,

     

    • par apparence / personnaliser, rien n’est accessible donc on ne peut rien faire.
    • c’est finalement la seconde solution qui est la bonne: il faut activer le plugin “Classic widgets” ce qui permet de retrouver la page widget habituelle.
    • apparemment c’est un problème de l’éditeur de blocs lors de la mise à jour 5.8 de WordPress.

    Merci pour votre aide !

    #2383598
    audrasjb
    Participant
    Padawan WordPress
    90 contributions

    Bonjour,

    Le problème a été résolu avec Classic Widgets, mais juste pour dire qu’il venait bien d’un widget ajouté par autre chose (thème ou extension), obligatoirement, puisque sur une installation par défaut, tous les widgets natifs fonctionnent.

    Maintenant, sans screenshot et sans détails sur le bloc ayant rencontré une erreur, impossible de dire quel est le thème ou l’extension qui a bugué. Vu que le thème ajoute 33 widgets (d’après sa page sur ThemeForrest, c’est sans doute celui-ci qui est responsable du problème, malgré ce qu’en dit le support. WordPress 5.8 propose tous les outils permettant aux développeurs de thèmes et d’extensions de rendre leurs widgets compatibles avec le système de blocs mais c’est de leur responsabilité de le faire.

    A priori il n’y a pas de travail en cours côté WP pour réparer le problème à l’origine de ce message. Je pense plutôt que les développeurs du thème font le dos rond en attendant de sortir une nouvelle version corrigeant le souci 🙂

    En tout cas, le seul moyen de résoudre le problème est bien d’installer l’extension Classic Widget (ou d’ajouter la ligne de code proposée par @ferman, mais ce n’est pas plus performant que d’installer l’extension).

5 sujets de 1 à 5 (sur un total de 5)
  • Vous devez être connecté pour répondre à ce sujet.